include: package:flutter_lints/flutter.yaml

linter:
  rules:
    prefer_single_quotes: true
    unnecessary_string_escapes: false

analyzer:
  errors:
    missing_return: error
    must_be_immutable: error
    must_call_super: error
    invalid_use_of_protected_member: error
    parameter_assignments: error
    sort_unnamed_constructors_first: ignore
    sort_pub_dependencies: ignore
